Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cert
Class GeneralName

`java.lang.Object
oracle.security.crypto.cert.GeneralName`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class GeneralName
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

The X.509 GeneralName type, as defined in RFC 2459.

Nested Class Summary
`static class` | `GeneralName.Type` The underlying name type of a `GeneralName`.

Constructor Summary
`GeneralName(GeneralName.Type type, oracle.security.crypto.asn1.ASN1Object value)`
`GeneralName(GeneralName.Type type, java.lang.String value)`
`GeneralName(java.io.InputStream is)`
`GeneralName(X500Name value)`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Indicates whether or not the given object is equal to this `GeneralName` object.
`GeneralName.Type` | `getType()`
`oracle.security.crypto.asn1.ASN1Object` | `getValue()`
`void` | `input(java.io.InputStream is)`
`int` | `length()`
`void` | `output(java.io.OutputStream os)`
`java.lang.String` | `toString()` Returns the string representation of the underlying name as returned by that type's `toString()` method.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneralName

    public GeneralName(GeneralName.Type type,
                       oracle.security.crypto.asn1.ASN1Object value)

### GeneralName

    public GeneralName(GeneralName.Type type,
                       java.lang.String value)

### GeneralName

    public GeneralName(X500Name value)

### GeneralName

    public GeneralName(java.io.InputStream is)
                throws java.io.IOException

Method Detail

### getType

    public GeneralName.Type getType()

### getValue

    public oracle.security.crypto.asn1.ASN1Object getValue()

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether or not the given object is equal to this `GeneralName` object.
  Returns:
    `true` if
    1. `obj` is a `GeneralName` with `type` and `value` equal to this object's; OR
    2. `obj` is an `ASN1Object` equal to this object's `value`;
    otherwise `false`.

### toString

    public java.lang.String toString()

  Returns the string representation of the underlying name as returned by that type's `toString()` method.

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.